commit:     daaf111fe58fbb719412ee2b24b8ae8bfa62954a
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 22 11:28:26 2019 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Fri Mar 22 11:46:51 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=daaf111f

dev-tex/tex4ht: Revision bump, updating texmf from TeXLive pretest.

Closes: https://bugs.gentoo.org/680214
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 dev-tex/tex4ht/Manifest                        |   1 +
 dev-tex/tex4ht/tex4ht-20090611_p1038-r7.ebuild | 121 +++++++++++++++++++++++++
 2 files changed, 122 insertions(+)

diff --git a/dev-tex/tex4ht/Manifest b/dev-tex/tex4ht/Manifest
index c54cb0874f3..ac81787adfc 100644
--- a/dev-tex/tex4ht/Manifest
+++ b/dev-tex/tex4ht/Manifest
@@ -1,3 +1,4 @@
 DIST tex4ht-1.0.2009_06_11_1038.tar.gz 2576719 BLAKE2B 
d04fd7b5f614414a200b01f11bea9880ea12561873fc08cb2f5f6f62167d6128cc50abbeeee0c7eae5d80046f6d3b504493d66262153c5a534fd1b56bfa1dfcd
 SHA512 
868961c16da63ef20a8af3ec3e56a2b6c518a291cdbc3974f701773dbb55b844f0df06aae4c7b481c96b9e2ba29cb0f1ed1279b6f32340e4708e31bb67170963
 DIST tex4ht-texlive-2017-02-05.tar.xz 826816 BLAKE2B 
8387c1fc7326cb4eb74ec82d15ed6a6f07bacd08788b00e3e6583bf993e0d0e0d387269650217a2a2f2e1f4b94cc8e154359d258bf3311820772b5fdc9aeec34
 SHA512 
c5a62a10b956d1108f288490e966e9c225555a74ace7744058a4464e4b166f3906d429ed8557d640ca0e9b4dbcc4278ef20298e869560a906c85c68ff832be52
 DIST tex4ht-texlive-2018-05-03.tar.xz 858204 BLAKE2B 
e302f24ca36ee0f61bad0979a139c25ea44128ba518b2736638ae41735e105b40be23338d93b08f0a9c3f9143486deab6551b344de5f74299d94f9edaa58ab37
 SHA512 
84ff9cec4d3637477d34475f05efc25e75fcb1ddd9b9cda36fbc77957f6e85b6cb456aa30554ed2c832268d6921949dc2fd4e111755269fb92fc7d231d434ca6
+DIST tex4ht-texlive-2019-03-22.tar.xz 868992 BLAKE2B 
662cc23de1b3b5f4e3d504655b5b3d87740fea045bef7987cbe2d81971e73375bd88d8ab111d48878ce1fe9d1eece4e4003e443ed0bc0f9b643b7e1653a5fc8c
 SHA512 
44d9e2c4f92ae1ea1d7f14432d7fe1a9f11b30ec8602d55c4b8f3f46283671fb75b08641c8170bd46918e16db1bed696a613a0518acd4e195e173fe12e386833

diff --git a/dev-tex/tex4ht/tex4ht-20090611_p1038-r7.ebuild 
b/dev-tex/tex4ht/tex4ht-20090611_p1038-r7.ebuild
new file mode 100644
index 00000000000..9a6f1043053
--- /dev/null
+++ b/dev-tex/tex4ht/tex4ht-20090611_p1038-r7.ebuild
@@ -0,0 +1,121 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit latex-package toolchain-funcs java-pkg-opt-2 flag-o-matic
+
+# from ftp://ftp.cstug.cz/pub/tex/local/tlpretest/archive/tex4ht.tar.xz
+TL_TEX4HT_VER="2019-03-22"
+
+# tex4ht-20050331_p2350 -> tex4ht-1.0.2005_03_31_2350
+MY_P="${PN}-1.0.${PV:0:4}_${PV:4:2}_${PV:6:2}_${PV/*_p/}"
+
+DESCRIPTION="Converts (La)TeX to (X)HTML, XML and OO.org"
+HOMEPAGE="http://www.cse.ohio-state.edu/~gurari/TeX4ht/
+       http://www.cse.ohio-state.edu/~gurari/TeX4ht/bugfixes.html";
+SRC_URI="http://www.cse.ohio-state.edu/~gurari/TeX4ht/fix/${MY_P}.tar.gz
+       mirror://gentoo/${PN}-texlive-${TL_TEX4HT_VER}.tar.xz"
+
+LICENSE="LPPL-1.2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="java"
+
+RDEPEND="app-text/ghostscript-gpl
+       media-gfx/imagemagick
+       dev-libs/kpathsea
+       java? ( >=virtual/jre-1.5 )"
+
+DEPEND="dev-libs/kpathsea"
+
+BDEPEND="virtual/pkgconfig
+       java? ( >=virtual/jdk-1.5 )"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+       cp -a "${WORKDIR}/texmf-dist/"* texmf/ || die
+       eapply_user
+       cd "${S}/texmf/tex4ht/base/unix" || die
+       sed -i \
+               -e "s#~/tex4ht.dir#${EPREFIX}/usr/share#" \
+               -e 
"s#tpath/tex/texmf/fonts/tfm/!#t${EPREFIX}/usr/share/texmf-dist/fonts/tfm/!\nt${EPREFIX}/usr/local/share/texmf/fonts/tfm/!\nt${EPREFIX}/var/cache/fonts/tfm/!\nt${EPREFIX}${TEXMF}/fonts/tfm/!#"
 \
+               -e "s#%%~/texmf-dist#${EPREFIX}${TEXMF}#g" \
+               -e "s#/usr/share/texmf/#${EPREFIX}${TEXMF}/#" \
+               tex4ht.env \
+               || die "sed of tex4ht.env failed"
+
+       einfo "Removing precompiled java stuff"
+       find "${S}" '(' -name '*.class' -o -name '*.jar' ')' -print -delete || 
die
+}
+
+src_compile() {
+       has_version '>=dev-libs/kpathsea-6.2.1' \
+               && append-cppflags "$($(tc-getPKG_CONFIG) --cflags kpathsea)"
+
+       cd "${S}/src" || die
+       einfo "Compiling postprocessor sources..."
+       for f in tex4ht t4ht htcmd ; do
+               $(tc-getCC) ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} -o $f $f.c \
+                       
-DENVFILE="\"${EPREFIX}${TEXMF}/tex4ht/base/tex4ht.env\"" \
+                       -DHAVE_DIRENT_H -DKPATHSEA -lkpathsea \
+                       || die "Compiling $f failed"
+       done
+       if use java; then
+               einfo "Compiling java files..."
+               cd java || die
+               ejavac *.java */*.java */*/*.java -d ../../texmf/tex4ht/bin
+               cd "${S}/texmf/tex4ht/bin" || die
+               # Create the jar needed by oolatex
+               jar -cf "${S}/${PN}.jar" * || die "failed to create jar"
+       fi
+}
+
+src_install () {
+       # install the binaries
+       dobin "${S}/src/tex4ht" "${S}/src/t4ht" "${S}/src/htcmd"
+       # install the scripts
+       if ! use java; then
+               rm -f "${S}"/bin/unix/oo*
+               rm -f "${S}"/bin/unix/jh*
+       fi
+       dobin "${S}"/bin/unix/mk4ht
+
+       # install the .4ht scripts
+       insinto ${TEXMF}/tex/generic/tex4ht
+       doins "${S}"/texmf/tex/generic/tex4ht/*
+
+       # install the special htf fonts
+       insinto ${TEXMF}/tex4ht
+       doins -r "${S}/texmf/tex4ht/ht-fonts"
+
+       if use java; then
+               # install the java files
+               doins -r "${S}/texmf/tex4ht/bin"
+               java-pkg_jarinto ${TEXMF}/tex4ht/bin
+               java-pkg_dojar "${S}/${PN}.jar"
+       fi
+
+       # install the .4xt files
+       doins -r "${S}/texmf/tex4ht/xtpipes"
+
+       # install the env file
+       insinto ${TEXMF}/tex4ht/base
+       newins "${S}/texmf/tex4ht/base/unix/tex4ht.env" tex4ht.env
+
+       insinto /etc/texmf/texmf.d
+       doins "${FILESDIR}/50tex4ht.cnf"
+
+       insinto ${TEXMF}/tex/generic/${PN}
+       insopts -m755
+       doins "${S}"/bin/ht/unix/*
+}
+
+pkg_postinst() {
+       use java ||     elog 'ODF converters (oolatex & friends) require the 
java use flag'
+       latex-package_pkg_postinst
+       elog "In order to avoid collisions with multiple packages"
+       elog "We are not installing the scripts in /usr/bin anymore"
+       elog "If you want to use, say, htlatex, you can use 'mk4ht htlatex 
file'"
+}

Reply via email to